LifecycleTransaction.ReaderState (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.lifecycle

## Class LifecycleTransaction.ReaderState

- java.lang.Object
- - org.apache.cassandra.db.lifecycle.LifecycleTransaction.ReaderState

- Enclosing class:
    LifecycleTransaction

      public static class LifecycleTransaction.ReaderState
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LifecycleTransaction.ReaderState.Action`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReaderState(LifecycleTransaction.ReaderState.Action logged, LifecycleTransaction.ReaderState.Action staged, SSTableReader currentlyVisible, SSTableReader nextVisible, boolean original)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(LifecycleTransaction.ReaderState that)`
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `toString()`
    `static SSTableReader` | `visible(SSTableReader reader, com.google.common.base.Predicate<SSTableReader> obsolete, java.util.Collection<SSTableReader>... selectFrom)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReaderState

          public ReaderState(LifecycleTransaction.ReaderState.Action logged,
                             LifecycleTransaction.ReaderState.Action staged,
                             SSTableReader currentlyVisible,
                             SSTableReader nextVisible,
                             boolean original)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(LifecycleTransaction.ReaderState that)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### visible

          public static SSTableReader visible(SSTableReader reader,
                                              com.google.common.base.Predicate<SSTableReader> obsolete,
                                              java.util.Collection<SSTableReader>... selectFrom)

Copyright © 2018 The Apache Software Foundation